## dconf-qt 0.0.0.110722

=== CMakeLists.txt ===
project(dconf-qt)
cmake_minimum_required(VERSION 2.6.0)

# Versions
## Package version
set(dconf_qt_VERSION_MAJOR 0)
set(dconf_qt_VERSION_MINOR 0)
set(dconf_qt_VERSION_PATCH 0)
set(dconf_qt_VERSION ${dconf_qt_VERSION_MAJOR}.${dconf_qt_VERSION_MINOR}.${dconf_qt_VERSION_PATCH})

## Lib version
### Bump this one when a binary-incompatible change is introduced
set(dconf_qt_lib_SOVERSION 0)

### Bump this one when the API is extended in a binary-compatible way
set(dconf_qt_lib_API_VERSION 0)

### Bump this one when changes do not extend the API
set(dconf_qt_lib_PATCH_VERSION 0)

set(dconf_qt_lib_VERSION ${dconf_qt_lib_SOVERSION}.${dconf_qt_lib_API_VERSION}.${dconf_qt_lib_PATCH_VERSION})

# dist targets
set(ARCHIVE_NAME libdconf-qt-${dconf_qt_VERSION})
add_custom_target(dist
    COMMAND git archive --prefix=${ARCHIVE_NAME}/ HEAD
        | bzip2 > ${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}.tar.bz2
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
    )

add_custom_target(distcheck
    COMMAND cd ${CMAKE_BINARY_DIR}
    && rm -rf ${ARCHIVE_NAME}
    && tar xf ${ARCHIVE_NAME}.tar.bz2
    && mkdir ${ARCHIVE_NAME}/build
    && cd ${ARCHIVE_NAME}/build
    && cmake -DCMAKE_INSTALL_PREFIX=../install ..
    && make
    && make install
    )
add_dependencies(distcheck dist)

# Dependencies
include(FindPkgConfig)
find_package(Qt4 REQUIRED)
pkg_check_modules(GLIB REQUIRED glib-2.0)
pkg_check_modules(DBUS REQUIRED dbus-1)
pkg_check_modules(DCONF_DBUS REQUIRED dconf-dbus-1)

include_directories(
    ${QT_INCLUDE_DIR}
    ${QT_QTCORE_INCLUDE_DIR}
    ${QT_QTDBUS_INCLUDE_DIR}
    ${QT_QTDECLARATIVE_INCLUDE_DIR}
    ${QT_QTGUI_INCLUDE_DIR}
    ${GLIB_INCLUDE_DIRS}
    ${DBUS_INCLUDE_DIRS}
    ${DCONF_DBUS_INCLUDE_DIRS}
    ${CMAKE_SOURCE_DIR}/lib
    )

add_subdirectory(lib)
add_subdirectory(qml)

=== lib/CMakeLists.txt ===
set(dconf_qt_SRCS
    qconf.cpp
    qconfschema.cpp
    qconftypes.cpp
    gvdb/gvdb-builder.c
    gvdb/gvdb-reader.c
    )

set(dconf_MOC_HDRS
    )

set (LIB_NAME "dconf-qt")

include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}
    )

qt4_wrap_cpp(dconf_MOC_SRCS ${dconf_MOC_HDRS})

add_library(${LIB_NAME} SHARED ${dconf_qt_SRCS} ${dconf_MOC_SRCS})
set_target_properties(${LIB_NAME} PROPERTIES
    VERSION ${dconf_qt_lib_VERSION}
    SOVERSION ${dconf_qt_lib_SOVERSION}
    )

target_link_libraries(${LIB_NAME}
    ${QT_QTGUI_LIBRARIES}
    ${QT_QTDBUS_LIBRARIES}
    ${QT_QTCORE_LIBRARIES}
    )

set(INCLUDE_INSTALL_DIR include/${LIB_NAME})

install(TARGETS ${LIB_NAME}
    LIBRARY DESTINATION lib${LIB_SUFFIX})

install(FILES qconf.h
    DESTINATION ${INCLUDE_INSTALL_DIR}
    )

#
# PkgConfig file
#
set (PREFIXDIR "${CMAKE_INSTALL_PREFIX}")
set (EXEC_PREFIX "${CMAKE_INSTALL_PREFIX}")
set (LIBDIR "${CMAKE_INSTALL_PREFIX}/lib")
set (INCLUDEDIR "${CMAKE_INSTALL_PREFIX}/include")

configure_file (${LIB_NAME}.pc.cmake ${CMAKE_CURRENT_BINARY_DIR}/${LIB_NAME}.pc)
install (FILES ${CMAKE_CURRENT_BINARY_DIR}/${LIB_NAME}.pc DESTINATION
         ${CMAKE_INSTALL_PREFIX}/lib/pkgconfig)

=== qml/CMakeLists.txt ===
set(dconf-qml_SRCS
    plugin.cpp
    )

set(dconf-qml_MOC_HDRS
    plugin.h
    )

qt4_wrap_cpp(dconf-qml_MOC_SRCS ${dconf-qml_MOC_HDRS})

# Build
add_library(dconf-qml SHARED ${dconf-qml_SRCS} ${dconf-qml_MOC_SRCS})

include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}
    )

target_link_libraries(dconf-qml
    ${QT_QTCORE_LIBRARIES}
    ${QT_QTDBUS_LIBRARIES}
    ${QT_QTDECLARATIVE_LIBRARIES}
    ${QT_QTGUI_LIBRARIES}
    dconf-qt
    )

# Install
set(IMPORT_INSTALL_DIR lib/qt4/imports/QConf)

install(TARGETS dconf-qml
    LIBRARY DESTINATION ${IMPORT_INSTALL_DIR}
    )

install(FILES qmldir
    DESTINATION ${IMPORT_INSTALL_DIR}
    )

=== debian/changelog ===
dconf-qt (0.0.0.110722-0ubuntu4) precise; urgency=low

  * debian/control:
    - create the upstream project on launchpad and change Vcs-Bzr
  * debian/patches/03_unsubscribe_on_destruction.patch:
    - unsubscribe from dconf-bus in ~QConf

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 15 Mar 2012 11:29:44 +0100

dconf-qt (0.0.0.110722-0ubuntu3) oneiric; urgency=low

  * debian/patches/02_link_again_dconf_dbus.patch:
    - add two missing library linkage in upstream cmake

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 25 Jul 2011 11:57:35 +0200

dconf-qt (0.0.0.110722-0ubuntu2) oneiric; urgency=low

  * debian/patches/01_fix_pc_generation.patch:
    - the generated pc file doesn't contain ${includedir} (seems to be stripped
      while generating the pc file), using @INCLUDEDIR@ instead
      is hapenning

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 22 Jul 2011 18:59:44 +0200

dconf-qt (0.0.0.110722-0ubuntu1) oneiric; urgency=low

  [ Didier Roche ]
  * New upstream snapshot with list support (LP: #812725)
  * debian/rules:
    - add --fail-missing to dh_install
    - add -V to dh_makeshlibs
  * debian/control:
    - change the description (we are now shipping the Qt bindings)
    - add missing deps on -dev package
  * debian/README.Debian:
    - remove the notice that we don't ship -dev package on purpose, let the
       "no ABI/API garantee" though
  * libdconf-qt-dev.install:
    - install new upsteam .pc file

  [ Florian Boucault ]
  * debian/control, rules, *install:
    - install new binary package libdconf-qt-dev
    - relax dependency on libqt4-dev

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 22 Jul 2011 17:59:07 +0200

dconf-qt (0.0.0.110706-0ubuntu1) oneiric; urgency=low

  * Initial release

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 07 Jul 2011 13:10:50 +0200

=== debian/control ===
Source: dconf-qt
Priority: optional
Section: libs
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 8.0.0),
               cmake,
               libglib2.0-dev (>= 2.27.91),
               libdconf-dbus-1-dev (>= 0.7.1),
               libqt4-dev,
Standards-Version: 3.9.2
Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/dconf-qt/ubuntu
Homepage: https://gitorious.org/dconf-qt

Package: libdconf-qt0
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: dconf Qt bindings (library)
 This plugin provides dconf support for Qt applications. The Qt library
 shouldn't be used directly as there is no ABI and API stability guarantee.

Package: libdconf-qt-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
         libdconf-qt0 (= ${binary:Version}),
         libglib2.0-dev (>= 2.27.91),
         libdconf-dbus-1-dev (>= 0.7.1),
         libqt4-dev,
         pkg-config,
Description: dconf Qt bindings (development files)
 This plugin provides dconf support for Qt applications. The Qt library
 shouldn't be used directly as there is no ABI and API stability guarantee.
 .
 This package contains the development header files.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ 

override_dh_install:
	dh_install --fail-missing

override_dh_makeshlibs:
	dh_makeshlibs -V
